#![feature(never_type)]

use std::ops::Range;

use args::Args;
use clap::Parser;
use evaluator::Evaluator;

mod args;
mod builtins;
mod error;
mod evaluator;
mod lexer;
mod namespace;
mod syntax;
mod typed;

// basically logos::Span but in this repo
type Span = Range<usize>;

fn main() {
    let args = Args::parse();

    let mut evaluator = Evaluator::init();

    evaluator.run(args.text, None);
    evaluator.next();
}
